Bug 1408362 - Need a VM for serving nightly builds
Summary: Need a VM for serving nightly builds
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-23 05:23 UTC by Nigel Babu
Modified: 2018-08-03 10:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-03 10:22:35 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Nigel Babu 2016-12-23 05:23:10 UTC
It just needs an Nginx server. I don't expect a very heavy load for the moment.

It needs a public IP with the domain nightly.gluster.org pointing to it.

Comment 1 M. Scherer 2017-01-03 13:29:55 UTC
So, how much memory should we plan, what size of disk, etc ?

I guess 1G of ram should be enough, but for disk, how much do we expect ?

I also assume we want a public/reachable server ? (or beyond a reverse proxy is enough ?)

Comment 2 Nigel Babu 2017-01-03 14:53:14 UTC
Let's say 30 GB for now? I'll probably remove builds older than 30 days.

Comment 3 Nigel Babu 2017-01-03 14:54:07 UTC
I think reverse proxy is good. Unless you can think of an obvious reason not to have reverse proxy.

Comment 4 M. Scherer 2017-01-11 17:15:19 UTC
I am delaying this one until we decide on how we can have non public ip in the cage. We have 2 choices regarding what vlan to use, it may take a while before we decide (ie, 1 or 2 weeks)

Comment 5 Nigel Babu 2018-08-03 10:22:35 UTC
We have this machine now. Closing.


Note You need to log in before you can comment on or make changes to this bug.